Subject: RE: are CR-LDP/LDP/RSVP/IGP/BGP packets labeled?

From: Kshitij Kumar <[email-masked]>
Date: Mon, 10 Sep 2001 11:20:52 -0400

Eric, et. al.,

Can the Router Alert label (Label 1) be used with Label encapsulated IP, in
order to carry the aforementioned protocol PDUs?

I seem to remember a certain router vendor's RSVP implementation sending
PATH refresh messages inside RSVP tunnel after the tunnel had been set up.
I'm pretty sure that was a transient bug.

Is that a valid scenario?

Kshitij Kumar.

-----Original Message-----
From: Eric Gray [mailto:[email-masked]]
Sent: Monday, September 10, 2001 11:04 AM
To: Peter Kwong
Cc: [email-masked]
Subject: Re: are CR-LDP/LDP/RSVP/IGP/BGP packets labeled?

Peter,

    All of the protocol packets you mention are carried using IP, with
the exception of IS-IS (implied as an IGP) .  Quoting from RFC 1195
("Use of OSI IS-IS for Routing in TCP/IP and Dual Environments"):

   "IP packets are encapsulated directly over the underlying link layer
   service, using the normal method for transmssion of IP packets over
   each type of link. Similarly OSI packets are encapsulated directly
   over the underlying link layer service, using the normal method for
   transmission of OSI packets over each type of link."

Under certain circumstances, MPLS may be used to provide a type of
link - for IP packets at least.

--
Eric Gray

You wrote:

> I've gone through the RFCs to see if protocol packets,
> such as for CR-LDP/LDP/RSVP/IGP/BGP etc are sent/received
> as labeled packets or not, but seemed to have missed something
> in the RFCs.
>
> Hope someone can tell me if protocol packets (CR-LDP,
> LDP, RSVP, IGP, BGP etc) are labeled or not for the
> following types of interfaces.  Also, how are these
> packets encapsulated for transmission out of these
> interfaces?
>   - ATM interface between 2 frame based routers
>   - LC-ATM interface between 2 frame based routers (RFC3035
>     does not discuss this scenario)
>   - serial link interface between 2 frame based routers
>   - Packet over sonet interface between 2 frame based routers
>   - frame relay interface between 2 frame based routers
>
> I understand that for LC-ATM interface between a frame
> based LSR, such as a router, and an ATM-LSR, the protocol
> packets are sent unlabeled, encapsulated in LLC/SNAP, and
> sent over a non-MPLS connection (default vpi/vci 0/32).
>
> I understand that for Ethernet interface, the Ethertypes
> for MPLS Unicast and MPLS Multicast is used to determine
> that the Ethernet frame contains a LABELED packet. If the Ethertype
> is IP, then one assumes the Ethernet frame contains an
> UNLABELED packet.
>
> peter
>
> _______________________________________________________
> Send a cool gift with your E-Card
> http://www.bluemountain.com/giftcenter/

---

From: Eric Gray <[email-masked]>
Date: Mon, 10 Sep 2001 11:48:00 -0400

Kshitij,

    I think the scenario of carrying RSVP messages inside tunnels should
be valid, otherwise RSVP aggregation doesn't help much with scalability.
If you read section 7.1 of "LSP Hierarchy with MPLS TE" (located at:
http://www.ietf.org/internet-drafts/draft-ietf-mpls-lsp-hierarchy-02.txt)
 - you will also see that link aggregation in general may depend on carrying
signaling messages over an LSP.

--
Eric Gray